Package org.apache.solr.common.util

# Class Template

java.lang.Object
org.apache.solr.common.util.Template

public class Template extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Pattern`
`BRACES_PLACEHOLDER_PATTERN`
`static final Pattern`
`DOLLAR_BRACES_PLACEHOLDER_PATTERN`
`final String`
`template`
`final List<String>`
`variables`

## Constructor Summary

Constructors
Constructor
Description
`Template(String template, Pattern pattern)`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(Function<String,Object> valueSupplier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### template

public final String template

### DOLLAR_BRACES_PLACEHOLDER_PATTERN

public static final Pattern DOLLAR_BRACES_PLACEHOLDER_PATTERN

### BRACES_PLACEHOLDER_PATTERN

public static final Pattern BRACES_PLACEHOLDER_PATTERN

### variables

public final List<String> variables

## Constructor Details

### Template

public Template(String template, Pattern pattern)

## Method Details

### apply

public String apply(Function<String,Object> valueSupplier)